Tickets API
PUT/api/v1/tickets/{id}/comments/{commentId}
Product availabilityAlgaPSAAlgaDesk

Update a ticket comment

Updates the text of a comment on a ticket. Comment text must be 1–5000 visible characters.

RBAC · ticket

Path parameters

idstring <uuid>Required
Ticket UUID.
commentIdstring <uuid>Required
Comment UUID.

Request body

Content type: application/json · schema WorkV1TicketCommentUpdateBody

comment_textstringRequired
Updated comment text (1–5000 visible chars).
min length 1 · max length 5000

Response body

Success response 200 · schema WorkV1ApiSuccess

dataanyOfRequired
anyOf (option 1)object
anyOf (option 2)array of object
itemsobject
metaobject

Response codes

200
Updated comment.
400
Validation or request parsing failure.
401
API key missing/invalid.
403
RBAC denied for ticket resource action.
404
Ticket or sub-resource not found.
500
Unexpected controller/service failure.